Skip to:
Content
Pages
Categories
Search
Top
Bottom

Add Friend – Error

  • Avatar of Todayisfire
    todayisfire
    Member

    @todayisfire

    I’m getting the following error when attempting to add a friend:

    Warning: require_once(C:xampphtdocswp-contentmu-pluginsbp-core/wp-load.php) [function.require-once]: failed to open stream: No such file or directory in C:xampphtdocswp-contentmu-pluginsbp-corebp-core-ajax-handler.php on line 3

    Any thoughts? Is it a file path issue? Maybe it’s something really simple that I’m just missing.

Viewing 3 replies - 1 through 3 (of 3 total)
  • Avatar of Burt Adsit
    Burt Adsit
    Participant

    @burtadsit

    Whoops. You may have found the last one of these. This is the current line:


    require_once( preg_replace('/(.*)/wp-content/.*/', '1', $_SERVER['SCRIPT_FILENAME'] ) . '/wp-load.php' );


    This is what it should be:


    require_once( preg_replace('%(.*)[/\\]wp-content[/\\].*%', '1', $_SERVER['SCRIPT_FILENAME'] ) . '/wp-load.php' );


    I’ll put in a trac ticket. I wonder why I haven’t run across this? I use windows as a dev server.

    Avatar of Todayisfire
    todayisfire
    Member

    @todayisfire

    Sweet, thanks – worked like a charm!

    Avatar of Burt Adsit
    Burt Adsit
    Participant

    @burtadsit

    Andy fixed this. It’s in the latest trunk.

Viewing 3 replies - 1 through 3 (of 3 total)

You must be logged in to reply to this topic.